Bug 172415 - system-config-lvm crashes on startup and report ValueError: invalid literal for int():
Summary: system-config-lvm crashes on startup and report ValueError: invalid literal f...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Jim Parsons
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-04 03:57 UTC by Luc Duchesne
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 15:05:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lvdisplay -m (2.83 KB, text/plain)
2005-11-04 03:59 UTC, Luc Duchesne
no flags Details

Description Luc Duchesne 2005-11-04 03:57:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When starting system-config-lvm from command line I get the following error:
  File "/usr/share/system-config-lvm/lvm_model.py", line 876, in get_extents_for_PV
    start = int(words[SEG_START_COL])
ValueError: invalid literal for int(): hda6vg

Where "hda6vg" is my volume group name.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.When creating your volume group, put your partition name as the volume group name
2.
3.
  

Additional info:

After analyzing the code aroung line 876 in File "/usr/share/system-config-lvm/lvm_model.py" I found that the code assumes that it will not find the pathname in the "Logical volume" section but this is not true if your volume group starts with the partition name.

You will find the result of "lvdisplay -m" command on my system as attachement.

Workaround: Do NOT start the Volume Group name with the partition name.

Comment 1 Luc Duchesne 2005-11-04 03:59:07 UTC
Created attachment 120712 [details]
Output of lvdisplay -m

Comment 2 Stanko Kupcevic 2005-12-19 19:26:33 UTC
What is the system-config-lvm version you are using?

Comment 3 John Thacker 2006-05-05 15:05:01 UTC
Closing due to lack of response.


Note You need to log in before you can comment on or make changes to this bug.